import json
import setuptools

kwargs = json.loads("""
{
    "name": "aws-cdk.cx-api",
    "version": "1.34.0",
    "description": "Cloud executable protocol",
    "license": "Apache-2.0",
    "url": "https://github.com/aws/aws-cdk",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "project_urls": {
        "Source": "https://github.com/aws/aws-cdk.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_cdk.cx_api",
        "aws_cdk.cx_api._jsii"
    ],
    "package_data": {
        "aws_cdk.cx_api._jsii": [
            "cx-api@1.34.0.jsii.tgz"
        ],
        "aws_cdk.cx_api": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "jsii>=1.3.2, <2.0.0",
        "publication>=0.0.3",
        "aws-cdk.cloud-assembly-schema==1.34.0"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Typing :: Typed",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved"
    ]
}
""")

with open('README.md') as fp:
    kwargs['long_description'] = fp.read()


setuptools.setup(**kwargs)
